<?php
saxue_includedb();
class saxuearticlecate extends saxueobjectdata {
		function saxuearticlecate() {
				$this -> initvar( "cid", SAXUE_TYPE_INT, 0, "分类编号", false, 4 );
				$this -> initvar( "pid", SAXUE_TYPE_INT, 0, "父分类编号", false, 4 );
				$this -> initvar( "views", SAXUE_TYPE_INT, 0, "访问次数", false, 11 );
				$this -> initvar( "cname", SAXUE_TYPE_TXTBOX, "", "分类名称", false, 20 );
				$this -> initvar( "alias", SAXUE_TYPE_TXTBOX, "", "英文别名", false, 20 );
				$this -> initvar( "pnum", SAXUE_TYPE_INT, 0, "列表每页显示", false, 4 );
				$this -> initvar( "templist", SAXUE_TYPE_TXTBOX, "", "列表模版", false, 30 );
				$this -> initvar( "tempdetail", SAXUE_TYPE_TXTBOX, "", "内容页模版", false, 30 );
				$this -> initvar( "tempcatalog", SAXUE_TYPE_TXTBOX, "", "目录页模版", false, 30 );
				$this -> initvar( "tempchapter", SAXUE_TYPE_TXTBOX, "", "章节页模版", false, 30 );
				$this -> initvar( "showchannel", SAXUE_TYPE_INT, 0, "显示频道页", false, 1 );
		} 
} 

class saxuearticlecatehandler extends saxueobjecthandler {
		function saxuearticlecatehandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "articlecate";
				$this -> autoid = "cid";
				$this -> dbname = "article_cate";
		} 
}